using System;

class Program
{
    static int Palindrom(int n)
    {
        int k = 0;
        while(n > 0)
        {
            k += n % 10;
            k *= 10;
            n /= 10;
        }
        return k / 10;
    }
    static void Main()
    {
        int X = int.Parse(Console.ReadLine());
        int Y = int.Parse(Console.ReadLine());
        int Z = 0;
        while(X > 0 || Y > 0)
        {
            if(X % 10 > Y % 10)
            {
                Z += X % 10;
                Z *= 10;
                
            }
            else if(X % 10 < Y % 10) 
            {
                Z += Y % 10;
                Z *= 10;
            }
            else
            {
                Z += X % 10;
                Z *= 10;
                Z += Y % 10;
                Z *= 10;
            }
            X /= 10;
            Y /= 10;
            if(X == 0)
            {
                X = -1;
            }
            if(Y == 0)
            {
                Y = -1;
            }
        }
        if( X != 0)
        {
            while( X > 0)
            {
                Z += X % 10;
                X /= 10;
            }
        }
        if( Y != 0)
        {
            while( Y > 0) 
            {
                Z += Y % 10;
                Y /= 10;
            }
        }
        Console.WriteLine(Palindrom(Z));
        Console.ReadLine();
    }
}